#ifndef __APLIMAT_CUBE_H__
#define __APLIMAT_CUBE_H__

#include "GlutStarter.h"
#include "Vector3.h"

using namespace Aplimat::VectorMath;

namespace Aplimat
{
	namespace Mesh
	{
		class CubeMesh
		{
		public:
			CubeMesh();
			CubeMesh(float PosX, float PosY, float PosZ);
			CubeMesh(float PosX, float PosY, float PosZ,
				float ColOffX, float ColOffY, float ColOffZ);

			void Draw();

			Vector3 Position;
			Vector3 ColliderOffset;

			bool HasCollidedWith(const CubeMesh &object);
		};
	}
}

#endif