#ifndef __GLUTSTARTER_H__
#define __GLUTSTARTER_H__

//========================================
//Created by: Eisen Lewis Sy
//Date: 05-28-12
//This is for APLIMAT class
//Game Design and Development Program
//========================================

//Include directives
#include<windows.h>
//#include<GL/glew.h>
//#include<GL/freeglut.h>
//#include<GL/glut.h>
#include <glut.h>

#pragma comment(lib, "OpenGL32.lib")
//#pragma comment(lib, "freeglut.lib")
#pragma comment(lib, "glut32.lib")

//Define directives
#define GH_DEFAULT_DISPLAY_MODE (GLUT_DEPTH|GLUT_DOUBLE|GLUT_RGBA)
#define GH_DEFAULT_INIT ghDefaultInit
#define GH_DEFAULT_RESHAPE_FUNC DefaultReshapeFunc
#define GH_DEFAULT_POSX 600	//0
#define GH_DEFAULT_POSY 100	//0
#define GH_DEFAULT_WIDTH 1024 //1280
#define GH_DEFAULT_HEIGHT 768 //1024

#define GH_DEFAULT_BITMAP_FONT GLUT_BITMAP_HELVETICA_10

//Forward declarations
void DefaultReshapeFunc(int width, int height);

void StartGlut(int* argc,
			char** argv,
			const char* WindowTitle,
			void (*DisplayFunc)(void),
			void (*IdleFunc)(void),
			void (*KeyboardFunc)(unsigned char key, int x, int y),
			void (*KeyboardUpFunc)(unsigned char key, int x, int y),
			void (*SpecialFunc)(int key, int x, int y),
			void (*SpecialUpFunc)(int key, int x, int y),
			void (*MouseFunc)(int button, int state, int x, int y),
			void (*MotionFunc)(int x, int y),
			void (*PassiveMotionFunc)(int x, int y),
			void (*EntryFunc)(int state),
			void (*ReshapeFunc)(int width, int height)
				= GH_DEFAULT_RESHAPE_FUNC,
			int PosX = GH_DEFAULT_POSX,
			int PosY = GH_DEFAULT_POSY,
			int Width = GH_DEFAULT_WIDTH,
			int Height = GH_DEFAULT_HEIGHT,
			int DisplayMode = GH_DEFAULT_DISPLAY_MODE);

#endif